Local Community

Upgraded to Local 5.9 and I'm getting code signing errors

Issue Summary

Whenever I try to import/export databases with wp cli I receive an error that more or less says that the code needs to be signed.

Troubleshooting Questions

This seems to be happening on all local instances. I also uninstalled/reinstalled local to see if a fresh install would fix this.

Replication

Run a wp cli database export

I then get:

System Details

Local Version 5.9

Mac Big Sur, version 11.0.1

Local Log:
local-lightning.log (40.9 KB)

Thanks for letting us know, this is an odd edge-case related to BigSur. I’ve let our devs know and they’re taking a closer look to get this fixed!

For backstory, Mac didn’t used to require this kind of code signing, and even for some Big Sur users who used Local in the past, code signing wasn’t necessary. Either way, we’ll get this working so you can use Local!

I really appreciate it, thank you!!

@r.brewster We just deployed a new build of PHP 7.4.1 that is code signed properly for Mac M1 hardware running Big Sur! In order to get the latest, you’ll need to follow these steps:

  • Navigate to ~/Library/Application\ Support/Local/lightning-services (note that if you are using Local Beta, the directory is ~/Library/Application\ Support/Local\ Beta/lightning-services
  • Once in this directory, delete the folder named php-7.4.1+<build-number> (build-number might differ depending on when you downloaded the lightning service)
  • Restart (or start up) Local

Once you have done that, you can do one of the following to trigger a download of the new PHP 7.4.1 build

Create a new site option

  • Create a new site making sure to select PHP 7.4.1 under the “custom options” section/step
  • The site creation will trigger a new download of PHP 7.4.1 that you can use within any existing site in Local

Hotswap the PHP version in an existing site

  • Select an existing site within Local
  • Choose PHP 7.4.1 from the PHP drop down in the site overview
    image
  • Click apply and then confirm the apply step

After that, you should be good to go.

If you get a chance, could you confirm whether or not this works for you?

I’m sorry to report that I’m still getting an error. Here are the steps I carried out:

For reference, here’s the log:
local-lightning.log (85.7 KB)

I thought we could now update lightning services within the app?

Why isn’t this possible here?

This topic was automatically closed 90 days after the last reply. New replies are no longer allowed.